# List Practitioners

Endpoint: GET /practitioner
Version: v1
Security: x-api-key, a-api-key

## Query parameters:

  - `page` (integer)

  - `page_size` (integer)

  - `sort_by` (array)
    Comma separated search fields. See [Sorting](/#sorting)

  - `q[]` (array)
    Filter result by one or more fields.

See [Query Filtering](/#query-filtering)

Available filters:

| Value | Format |
|---|---|
| created | [timestamp](/#timestamp) |
| archived | [timestamp](/#timestamp) |
| updated | [timestamp](/#timestamp) |
| profession_id | [integer](/#numeric) |
| business_id | [integer](/#numeric) |

## Response 200 fields (application/json):

  - `practitioners` (array)

  - `practitioners.row_num` (integer)

  - `practitioners.total_rows` (integer)

  - `practitioners.links` (object)

  - `practitioners.links.self` (string)
    Example: https://api.pracsuite.com/v1/practitioner/1

  - `practitioners.links.appointments` (string)
    Example: https://api.pracsuite.com/v1/practitioner/1/appointment

  - `practitioners.links.practitioner_provider_numbers` (string)
    Example: https://api.pracsuite.com/v1/practitioner/1/practitioner_provider_number

  - `practitioners.tenant_id` (integer)

  - `practitioners.practitioner_id` (integer)

  - `practitioners.title` (string)

  - `practitioners.first_name` (string)

  - `practitioners.preferred_name` (string)

  - `practitioners.surname` (string)

  - `practitioners.short_description` (string)

  - `practitioners.professional_title` (string)

  - `practitioners.qualifications` (string)

  - `practitioners.archive` (boolean)
    Example: false

  - `practitioners.email` (string)

  - `practitioners.about_me` (string)

  - `practitioners.telehealth_patient_link` (string)

  - `practitioners.telehealth_practitioner_link` (string)

  - `practitioners.created` (string)
    RFC 3339 UTC date-time (Z) with microsecond precision.
    Example: 2020-09-12T11:09:42.687393Z

  - `practitioners.businesses` (array)

  - `practitioners.businesses.archive` (boolean)

  - `practitioners.businesses.business_id` (integer)

  - `practitioners.businesses.app_book_columns` (number)

  - `practitioners.businesses.override_intervals` (number)

  - `practitioners.professions` (array)

  - `practitioners.professions.title` (string)

  - `practitioners.professions.is_default` (boolean)

  - `practitioners.professions.profession_id` (integer)

  - `practitioners.professions.qualifications` (string)

  - `total_entries` (integer)

  - `links` (object)

  - `links.self` (string)
    Example: https://api.pracsuite.com/v1/practitioner?page=2

  - `links.previous` (string)
    Example: https://api.pracsuite.com/v1/practitioner?page=1

  - `links.next` (string)
    Example: https://api.pracsuite.com/v1/practitioner?page=3

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 403

  - `error.code` (string)
    Example: UNAUTHORIZED

  - `error.detail` (string)
    Human readable explanation of the error
    Example: Access could not be verified for this request.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 403 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 403

  - `error.code` (string)
    Example: MISSING_AUTHENTICATION_TOKEN

  - `error.detail` (string)
    Human readable explanation of the error
    Example: Authentication token is missing or the requested endpoint does not exist

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 500 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 500

  - `error.code` (string)
    Example: SERVER_ERROR

  - `error.detail` (string)
    Human readable explanation of the error
    Example: An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

